EJBQLAction (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.access.jdbc, class: EJBQLAction

# Class EJBQLAction

java.lang.Object
org.apache.cayenne.access.jdbc.BaseSQLAction
org.apache.cayenne.access.jdbc.EJBQLAction

All Implemented Interfaces:
  `SQLAction`

public class EJBQLAction extends BaseSQLAction
Parses an EJBQL statement, converting it to SQL. Executes the resulting SQL.

Since:
  3.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected SQLActionVisitor`
  `actionFactory`
  `protected EJBQLQuery`
  `query`

  ### Fields inherited from class BaseSQLAction

  `dataNode`
  Modifier and Type
  Field
  Description
  `protected DataNode`
  `dataNode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EJBQLAction(EJBQLQuery query, SQLActionVisitor actionFactory, DataNode dataNode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `performAction(Connection connection, OperationObserver observer)`
  Executes a query using a strategy defined by the implementation.

  ### Methods inherited from class BaseSQLAction

  `getInMemoryOffset, readResultSet`
  Modifier and Type
  Method
  Description
  `protected int`
  `getInMemoryOffset(int queryOffset)`
  Returns a value of the offset that will be used to rewind the ResultSet within the SQL action before reading the result rows.
  `protected void`
  `readResultSet(ResultSet resultSet, RowDescriptor descriptor, Query query, OperationObserver delegate)`
  Helper method to process a ResultSet.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### actionFactory

    protected SQLActionVisitor actionFactory

  - ### query

    protected EJBQLQuery query

- ## Constructor Details

  - ### EJBQLAction

    public EJBQLAction(EJBQLQuery query, SQLActionVisitor actionFactory, DataNode dataNode)

- ## Method Details

  - ### performAction

    public void performAction(Connection connection, OperationObserver observer) throws Exception
    Description copied from interface: `SQLAction`
    Executes a query using a strategy defined by the implementation.
    Throws:
      `Exception`